Last Comment Bug 739066 - Empty thumbnail (about:blank) entries on about:home and blank rows added to Top Sites after clearing history
: Empty thumbnail (about:blank) entries on about:home and blank rows added to T...
Status: VERIFIED FIXED
: regression
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: -- normal (vote)
: Firefox 14
Assigned To: Lucas Rocha (:lucasr)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 08:56 PDT by Aaron Train [:aaronmt]
Modified: 2012-05-22 08:00 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
verified
verified
+


Attachments
Don't include delete bookmarks/history in Combined view (5.89 KB, patch)
2012-03-30 09:05 PDT, Lucas Rocha (:lucasr)
margaret.leibovic: review+
Details | Diff | Review

Description Aaron Train [:aaronmt] 2012-03-25 08:56:26 PDT
After clearing browser history, about:home will display (4) blank thumbnails in portrait with URL targets about:blank, and (3) in landscape.

Is this a recent intentional change to the top-sites behaviour on about:home?
 
--
Samsung Galaxy Nexus (Android 4.0.2)
Nightly (03/25)
Mozilla/5.0 (Android; Mobile; rv:14.0) Gecko/14.0 Firefox/14.0a1
Comment 1 Aaron Train [:aaronmt] 2012-03-25 09:01:07 PDT
Yikes, clearing history after creating a new profile also generates various completely blank rows in 'Top Sites' in the AwesomeScreen. This feels like a regression.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2012-03-25 11:34:13 PDT
Just to clarify: about:home home should show nothing after clearing history. The bug is that thumbnails are being show at all, not that they are blank.
Comment 3 Aaron Train [:aaronmt] 2012-03-27 11:30:17 PDT
(also adding the entries to the home-screen results in a stringless star-icon)
Comment 4 Lucas Rocha (:lucasr) 2012-03-30 09:05:59 PDT
Created attachment 610905 [details] [diff] [review]
Don't include delete bookmarks/history in Combined view
Comment 5 Lucas Rocha (:lucasr) 2012-03-30 09:07:13 PDT
Regression from bug 721731. Combined view should not include deleted bookmarks/history entries.
Comment 6 :Margaret Leibovic 2012-03-30 09:26:31 PDT
Comment on attachment 610905 [details] [diff] [review]
Don't include delete bookmarks/history in Combined view

Aw, I was really hoping we would get this right the first time, but good catch!
Comment 7 Lucas Rocha (:lucasr) 2012-03-30 09:32:25 PDT
Pushed: http://hg.mozilla.org/integration/mozilla-inbound/rev/61964245b303
Comment 8 Ed Morley [:emorley] 2012-03-31 19:33:59 PDT
https://hg.mozilla.org/mozilla-central/rev/61964245b303
Comment 9 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:07:18 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/7d59ec72a07c
Comment 10 Cristian Nicolae (:xti) 2012-05-22 08:00:19 PDT
This issue doesn't occur any more on the latest Nightly. There aren't any blank entries in  Awesomelist or blank thumbnails on about:home.

Closing bug as verified fixed on:

Firefox 15.0a1 (2012-05-22)
Firefox 14.0a2 (2012-05-22)

Device: Galaxy Nexus
OS: Android 4.0.2

Note You need to log in before you can comment on or make changes to this bug.